# List Billers API

**API for listing all the Billers onboarded in BBPS**

| Endpoint                                                                                                      |
| ------------------------------------------------------------------------------------------------------------- |
| **Request:&#x20;**<mark style="color:blue;">**GET /masters/billers?category=DTH\&page=0\&pagesize=10**</mark> |

<mark style="color:blue;">**Request Parameters**</mark>

**The various parameters are explained below**

| Parent Property/Element                    | Property/Element Name | Mandatory | Data Type | Description                             |
| ------------------------------------------ | --------------------- | --------- | --------- | --------------------------------------- |
| **\[ROOT]** (No parent property / element) | billerName            | M         | String    | Name of the Biller                      |
|                                            | category              | M         | String    | Category of the Biller                  |
|                                            | page                  | C         | Numeric   | Page number for API Response Pagination |
|                                            | pageSize              | C         | Numeric   | Page Size for API Response Pagination   |

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below**

| Parent Property/Element                    | Property/Element Name   | Mandatory | Data Type | Description                                                                                                      |
| ------------------------------------------ | ----------------------- | --------- | --------- | ---------------------------------------------------------------------------------------------------------------- |
| **\[ROOT]** (No parent property / element) | pageNo                  | M         | Numeric   | Name of the Biller                                                                                               |
|                                            | pageSize                | M         | Numeric   | Category of the Biller                                                                                           |
|                                            | totalElements           | M         | Numeric   | Page number for API Response Pagination                                                                          |
|                                            | totalPages              | M         | Numeric   | Page Size for API Response Pagination                                                                            |
| **billerResp** (will be a list of objects) | billerId                | M         | String    | Unique ID assigned to the Biller by NPCI Fixed length - 14                                                       |
|                                            | billerName              | M         | String    | Name of the Biller                                                                                               |
|                                            | billerType              | M         | String    | Lists the Payment Modes applicable to the Biller (FETCH\_PAY, VALIDATE\_PAY, QUICKPAY)                           |
|                                            | billerCategory          | M         | String    | Category of the biller                                                                                           |
|                                            | billerCoverage          | M         | String    | Coverage of the biller                                                                                           |
|                                            | billerResponseType      | M         | String    |                                                                                                                  |
|                                            | billerDescription       | M         | String    | Description of the biller                                                                                        |
|                                            | planMDMRequirement      | M         | String    | Indicates if the Biller support Plan MDM functionality – possible values are MANDATORY, OPTIONAL, NOT\_SUPPORTED |
|                                            | adhocBiller             | M         | Numeric   | Flag indicating if the Biller accepts adhoc payment                                                              |
|                                            | paymentAmountExactn ess | M         | String    | possible values are : Exact, Exact and above, Exact and below                                                    |
| **generalResp**                            | statusCode              | M         | Numeric   | 200- SUCCESS Other than 200-Failure                                                                              |
|                                            | status                  | M         | String    | It is either “Success” or failure                                                                                |
|                                            | message                 | M         | String    | Contains the reason message for failure / success                                                                |

<mark style="color:blue;">**Json Formatted Response Example**</mark>

```json
        {
        "billerResp": [
        {
        "billerId": "AT4160007XXA63",
        "billerName": "APB BOU", "billerType": "VALIDATE_PAY", "billerCategory": "DTH", "billerCoverage": "IND", "billerResponseType": "SINGLE", "billerDescription": null,
        "planMDMRequirement": "NOT_SUPPORTED", "adhocBiller": true, "paymentAmountExactness": "Exact"
        },
        {
        "billerId": "AT4180007UPA63",
        "billerName": "APB BOU", "billerType": "FETCH_PAY", "billerCategory": "DTH", "billerCoverage": "IND", "billerResponseType": "SINGLE", "billerDescription": null,
        "planMDMRequirement": "NOT_SUPPORTED",
        "adhocBiller": false, "paymentAmountExactness": "Exact and above"
        },
        {
        "billerId": "AT4170007XXA63",
        "billerName": "APB BOU", "billerType": "FETCH_PAY", "billerCategory": "DTH", "billerCoverage": "IND", "billerResponseType": "SINGLE", "billerDescription": null,
        "planMDMRequirement": "NOT_SUPPORTED", "adhocBiller": true, "paymentAmountExactness": "Exact"
        }
        ],
        "pageNo": 0,
        "pageSize": 10,
        "totalElements": 3,
        "totalPages": 1, "generalResp": {
        "statusCode": "200",
        "status": "success",
        "message": "Billers retrieved successfully", "remarks": ""
        }
        }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-master-data-api/list-billers-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
